Name:           plexus-cipher
Version:        1.7
Release:        %mkrel 15
Group:          Development/Java
Summary:        Plexus Cipher: encryption/decryption Component
License:        ASL 2.0
# project moved to GitHub and it looks like there is no official website anymore
URL:            https://github.com/codehaus-plexus/plexus-cipher
BuildArch:      noarch

# git clone https://github.com/sonatype/plexus-cipher.git
# cd plexus-cipher/
# note this is version 1.7 + our patches which were incorporated by upstream maintainer
# git archive --format tar --prefix=plexus-cipher-1.7/ 0cff29e6b2e | gzip -9 > plexus-cipher-1.7.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.enterprise:cdi-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.plugins:sisu-maven-plugin)
BuildRequires:  mvn(org.sonatype.spice:spice-parent:pom:)

%description
Plexus Cipher: encryption/decryption Component

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

# replace %{version}-SNAPSHOT with %{version}
%pom_xpath_replace pom:project/pom:version "<version>%{version}</version>"

# fedora moved from sonatype sisu to eclipse sisu. sisu-inject-bean artifact
# doesn't exist in eclipse sisu. this artifact contains nothing but
# bundled classes from atinject, cdi-api, aopalliance and maybe others.
%pom_remove_dep org.sonatype.sisu:sisu-inject-bean
%pom_add_dep javax.inject:javax.inject:1:provided
%pom_add_dep javax.enterprise:cdi-api:1.0:provided

%mvn_file : plexus/%{name}

sed -i -e "s|1.5|1.8|" pom.xml
# Fix javadoc generation on java 11
%pom_xpath_inject pom:build/pom:plugins "<plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration><source>1.8</source></configuration>
</plugin>" 

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Fri Aug 21 2020 neoclust <neoclust> 1.7-15.mga8
+ Revision: 1617592
- Fix build with java11

* Wed Feb 12 2020 umeabot <umeabot> 1.7-14.mga8
+ Revision: 1499259
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7-13.mga7
+ Revision: 1274305
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.7-11.mga6
+ Revision: 977778
- First rebuild of the java stack
- sync package plexus-cipher with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 1.7-6.mga5
+ Revision: 806567
- rebuild with current cdi-api

* Wed Oct 15 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 740669
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 dmorgan <dmorgan> 1.7-3.mga5
+ Revision: 641066
- Migrate from sisu-maven-plugin to sisu-mojos

* Mon Oct 21 2013 umeabot <umeabot> 1.7-2.mga4
+ Revision: 537616
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.7-1.mga4
+ Revision: 487320
- New version

* Sat Jul 13 2013 dmorgan <dmorgan> 1.5-14.mga4
+ Revision: 453656
- Remove unnecessary dependency on plexus-containers (rhbz #908586)
- Fixed URL (Resolves: RHBZ #880322)
- Improve randomness of PBECipher
- Resolves: rhbz#880279

* Mon Jul 08 2013 dmorgan <dmorgan> 1.5-11.mga4
+ Revision: 451285
- Remove duplicated NOTICE file

* Mon Jul 08 2013 dmorgan <dmorgan> 1.5-10.mga4
+ Revision: 451224
- Clean spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.5-10.mga3
+ Revision: 377836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- improve randomness of PBECipher (rhbz#880279)

* Tue Jan 03 2012 gil <gil> 1.5-8.mga2
+ Revision: 189785
- replaced plexus-maven-plugin with plexus-component-metadata

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-7.mga2
+ Revision: 127167
- Ignore test failures.

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-6.mga2
+ Revision: 127155
- Do not require maven2.
- Build with maven (v. 3) by default.
- drop obsoleted parts of the spec.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-5.mga1
+ Revision: 93014
- Rebuild after bootstrapping
- imported package plexus-cipher


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.5-3
- Add NOTICE.text
- Fix URL
- Fix direction of install pom

* Sun May 23 2010 Hui Wang <huwang@redhat.com> - 1.5-2
- Correct URL

* Tue May 18 2010 Hui Wang <huwang@redhat.com> - 1.5-1
- Initial version of the package
